Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java	(revision 1554)
@@ -314,9 +314,5 @@
 	@SuppressWarnings("unchecked")
 	protected void loadParams() {		
-		params = new HashMap(getServletRequest().getParameterMap());
-
-		if (getQ() != null) {
-			addParam("q",getQ());
-		}	
+		params = new HashMap(getServletRequest().getParameterMap());	
 
 		// set defaults
@@ -327,7 +323,15 @@
 			addParam("operation","searchRetrieve");
 		}
+		// TODO xslt param is q, server param is query (query=q)
+			
 		if ( params.get("query") == null){
-			addParam("query",getParam("q"));
-		}
+			addParam("query",getQ());
+		} else {
+			setQ(getQuery());
+		}
+		if (getQ() != null) {
+			addParam("q",getQ());
+		}
+		
 		if ( params.get("startRecord") == null){
 			addParam("startRecord","1");
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/MDRepoProxy.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/MDRepoProxy.java	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/MDRepoProxy.java	(revision 1554)
@@ -59,37 +59,32 @@
 	public URL getTargetRequest() throws IOException {
         
-		 Query query = new Query(getParam("squery"), getParam("q"),getSourceAction().getActionkey());
-		 
-		 URL targetURL =new URL( getBaseURL(), urls.get(getSourceAction().getActionkey()) + query.toURLParam());
-		 
-		 return targetURL;
-		/*
-		log.debug("MDRPx.getQ:" + getSquery() + " and (" +  getQ() + ")");
-		log.debug("MDRPA.getActionkey:" + getActionkey());		
-		
-		
+		//TODO squery removed
+		//Query query = new Query(getParam("squery"), getParam("query"),getSourceAction().getActionkey());
+		Query query = new Query("", getParam("query"),getSourceAction().getActionkey());
+	
+		//log.debug("MDRPx.getQ:" + getSquery() + " and (" +  getQ() + ")");
+		log.debug("MDRP.getQuery:" + getParam("query"));
+		log.debug("MDRP.getActionkey:" + getSourceAction().getActionkey());		
 
 	// check if the query could get parsed
 		if (query.isStatus(Query.PARSEERROR)) {
-			log.debug("MDRPA.query.PARSEERROR:" + query.getMsg());
-			// pass this bad news to the client
-			setUserMsg(query.getMsg());
+			log.debug("MDRP.query.PARSEERROR:" + query.getMsg());
+			//TODO exception ??
 			return null;
 		} else {
-			query.setMaxdepth(getMaxdepth());		
-			query.setCollection(getCollection());
-			query.setColumns(getColumns());
-			query.setMaximumItems(getMaximumItems());
-			query.setStartItem(getStartItem());
-			query.setOptions(getOptions());
-			query.setSort(getSort());
+			query.setMaxdepth(Integer.valueOf(getParam("maxdepth")));		
+			query.setCollection(getParam("collections"));
+			query.setColumns(getParam("columns"));
+			query.setMaximumItems(getParam("maximumRecords"));
+			query.setStartItem(getParam("startRecord"));
+			query.setOptions(getParam("options"));
+			query.setSort(getParam("sort"));
 		
 			URL targetURL = null;
-			targetURL =new URL( getBaseURL(), urls.get(getActionkey()) + query.toURLParam() );
-			log.debug("MDRPA.targetURL.query.toURLParam:" + query.toURLParam());
+			targetURL =new URL( getBaseURL(), urls.get(getSourceAction().getActionkey()) + query.toURLParam());
+		
 			log.debug("MDRPA.targetURL:" + targetURL);
 	        return targetURL;
 		}
-		*/
 		 
 	}
Index: MDService2/branches/MDService_simple3/src/xsl/cmd_functions.xsl
===================================================================
--- MDService2/branches/MDService_simple3/src/xsl/cmd_functions.xsl	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/xsl/cmd_functions.xsl	(revision 1554)
@@ -193,9 +193,43 @@
 			</xsl:when>			
 			<xsl:otherwise>
-<!--				<xsl:value-of select="concat($base_dir, '/',$action, '/?format=', $format, '&amp;', $q, '&amp;repository=', $repository_name)" />-->
-				<xsl:value-of select="concat($base_dir, '/',$action, '/', $format, '?q=', $q, '&amp;repository=', $repository_name)" />
+				<xsl:choose>
+				<xsl:when test="$repository_name=''">
+					<xsl:value-of select="concat($base_dir, '/',$action, '/', $format, '?query=', $q)" />
+				</xsl:when>
+				<xsl:when test="$startRecord=''">
+					<xsl:value-of select="concat($base_dir, '/',$action, '/', $format, '?query=', $q, '&amp;repository=', $repository_name)" />
+				</xsl:when>			
+				<xsl:otherwise>
+					<xsl:value-of select="concat($base_dir, '/',$action, '/', $format, '?query=', $q, '&amp;repository=', $repository_name, '&amp;startRecord=', $startRecord, '&amp;maximumRecords=', $maximumRecords)" />
+				</xsl:otherwise>
+			</xsl:choose>
 			</xsl:otherwise>
 		</xsl:choose>
 		
+	</xsl:function>
+
+<xsl:function name="my:formsearchURL" >
+		<xsl:param name="lquery" />
+		<xsl:param name="startRecord" />
+		<xsl:param name="maximumRecords" />
+		<xsl:param name="repository" />
+		
+		<xsl:variable name="searchurl" select="my:formURL('search','htmlpage',$lquery)" />
+		<xsl:variable name="param_repository">
+			<xsl:if test="$repository != ''">
+				<xsl:value-of select="concat('&amp;repository=',$repository)"></xsl:value-of>
+			</xsl:if>
+		</xsl:variable>
+		<xsl:variable name="param_startRecord">
+			<xsl:if test="$startRecord != ''">
+				<xsl:value-of select="concat('&amp;startRecord=',$startRecord)"></xsl:value-of>
+			</xsl:if>
+		</xsl:variable>
+		<xsl:variable name="param_maximumRecords">
+			<xsl:if test="$maximumRecords != ''">
+				<xsl:value-of select="concat('&amp;maximumRecords=',$maximumRecords)"></xsl:value-of>
+			</xsl:if>
+		</xsl:variable>
+		<xsl:value-of select="concat($searchurl, $param_repository, $param_startRecord, $param_maximumRecords)" />
 	</xsl:function>
 	
Index: MDService2/branches/MDService_simple3/src/xsl/html_snippets.xsl
===================================================================
--- MDService2/branches/MDService_simple3/src/xsl/html_snippets.xsl	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/xsl/html_snippets.xsl	(revision 1554)
@@ -11,4 +11,5 @@
 
 -->
+<xsl:variable name="workspaceprofile" select="document($workspaceprofile_uri)" />
 
 <xsl:template name="html-head">
@@ -74,5 +75,5 @@
 	 	<div class="content" id="query-input" >   	
 		 	<form action="{my:formURL('search', 'htmlpage','')}" method="get">							
-				<input type="text" id="input-simplequery" name="squery" value="{$q}" />
+				<input type="text" id="input-simplequery" name="query" value="{$q}" />
 				<input type="submit"  value="submit" id="submit-query"/>
 				
@@ -82,5 +83,10 @@
 					<td valign="top">
 						<div id="repositories" >		
-								<label>Repository</label> <select id="repositories_select" ></select>								
+								<label>Repository</label> 
+								<select id="repositories_select" name="repository">
+								<xsl:for-each select="$workspaceprofile//WorkspaceProfile/Repositories/item" >
+									<option><xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute><xsl:value-of select="name"/></option>
+								</xsl:for-each>
+								</select>								
 						</div>
 							<!--  selected collections  -->
Index: MDService2/branches/MDService_simple3/src/xsl/mdset2view.xsl
===================================================================
--- MDService2/branches/MDService_simple3/src/xsl/mdset2view.xsl	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/xsl/mdset2view.xsl	(revision 1554)
@@ -32,8 +32,4 @@
 <xsl:include href="cmd_commons.xsl"/>
 
-
-<xsl:param name="startItem">1</xsl:param>
-<xsl:param name="maximumItems">50</xsl:param>
-
 <!-- <xsl:param name="format" select="'table'" /> table|list|detail -->
 <xsl:param name="cols" >Id,Title,Location
@@ -87,8 +83,9 @@
 <xsl:for-each select="searchRetrieveResponse" >
 <div>
-	<xsl:call-template name="query-input" />
 	<xsl:if test="not(contains($format, 'htmlsimple'))">
 		<xsl:call-template name="header" />
 	</xsl:if>
+ 	<xsl:call-template name="query-input" />
+	
 	<xsl:choose>
 				<xsl:when test="contains($format,'htmltable')">
@@ -149,30 +146,75 @@
 	<xsl:variable name="cnt_hits" select="number(diagnostics)" />
 	
-	<span class="label" >hits: </span><span class="value hilight"><xsl:value-of select="numberOfRecords" /></span>;
-	<span class="label" >from:</span><span><input type="text" class="value start_record paging-input"><xsl:attribute name="value">
-    <xsl:value-of select="$startItem"/>
-  </xsl:attribute>
-	</input></span>
-	<span class="label" >max:</span><span><input type="text" class="value maximum_records paging-input" ><xsl:attribute name="value">
-    <xsl:value-of select="if(number($cnt_hits) &lt; number($maximumItems)) then $cnt_hits else $maximumItems"/>    
-  </xsl:attribute></input></span>
-  <span class="cmd cmd_reload" />  
-<!--	<button class="reload">reload</button>-->
-	<span class="cmd cmd_prev">	
-	<xsl:choose>
-		<xsl:when test="$startItem = '1'">
-			<xsl:attribute name="disabled">disabled</xsl:attribute>
-		</xsl:when>
-		</xsl:choose>
-	</span>
-	<span class="cmd cmd_next">	
-	<xsl:choose>
-		<xsl:when test="$maximumItems &gt; numberOfRecords or $maximumItems = numberOfRecords">
-			<xsl:attribute name="disabled">disabled</xsl:attribute>
-		</xsl:when>
-		</xsl:choose>
-	</span>
+	<form action="{my:formURL('search', 'htmlpage', $q)}" method="get">							
+			
+		<span class="label" >hits: </span><span class="value hilight"><xsl:value-of select="numberOfRecords" /></span>;
+		<span class="label" >from:</span><span><input type="text" name="startRecord" class="value start_record paging-input"><xsl:attribute name="value">
+    		<xsl:value-of select="$startRecord"/>
+  			</xsl:attribute>
+		</input></span>
+	
+		<span class="label" >max:</span><span><input type="text" name="maximumRecords" class="value maximum_records paging-input" ><xsl:attribute name="value">
+    		<xsl:value-of select="if(number($cnt_hits) &lt; number($maximumRecords)) then $cnt_hits else $maximumRecords"/>    
+  		</xsl:attribute></input></span> 
+  		
+  		<xsl:if test="$repository_name != ''">
+  			<input type="hidden" name="repository"><xsl:attribute name="value">
+    			<xsl:value-of select="$repository_name"/>
+  				</xsl:attribute>
+			</input>
+  		</xsl:if>
+  	 
+  	 	<input type="hidden" name="query"><xsl:attribute name="value">
+    			<xsl:value-of select="$q"/>
+  				</xsl:attribute>
+		</input>
+			
+		 <input type="submit" value="" class="cmd cmd_reload">
+		</input>
+	 <!--  number($startRecord - $pageRecordCount)<a href="{my:formsearchURL($q,'1','20',$repository_name)}"><span class="cmd cmd_reload" /></a> -->
+	 	<xsl:variable name="prev_startRecord">
+	 		<xsl:choose>
+	 			<xsl:when test="number($startRecord) - number($pageRecordCount) > 0"> <xsl:value-of select="format-number(number($startRecord) - number($pageRecordCount),'#')"></xsl:value-of></xsl:when>
+	 			<xsl:otherwise><xsl:value-of select="1"></xsl:value-of></xsl:otherwise>
+	 		</xsl:choose>
+	 	</xsl:variable>
+	 	<xsl:variable name="next_maximumRecords">
+	 		<xsl:choose>
+	 			<xsl:when test="number($maximumRecords) + number($pageRecordCount) > number(numberOfRecords)"> <xsl:value-of select="numberOfRecords"></xsl:value-of></xsl:when>
+	 			<xsl:otherwise><xsl:value-of select="format-number(number($maximumRecords) + number($pageRecordCount),'#')"></xsl:value-of></xsl:otherwise>
+	 		</xsl:choose>
+	 	</xsl:variable>
+	 	<xsl:variable name="prev_maximumRecords">
+	 		<xsl:choose>
+	 			<xsl:when test="number($prev_startRecord) + number($pageRecordCount) > number(numberOfRecords)"> <xsl:value-of select="numberOfRecords"></xsl:value-of></xsl:when>
+	 			<xsl:otherwise><xsl:value-of select="format-number(number($prev_startRecord) + number($pageRecordCount),'#')"></xsl:value-of></xsl:otherwise>
+	 		</xsl:choose>
+	 	</xsl:variable>
+	 	<xsl:variable name="next_startRecord">
+	 		<xsl:choose>
+	 			<xsl:when test="number($next_maximumRecords) - number($pageRecordCount) > 0"> <xsl:value-of select="format-number(number($next_maximumRecords) - number($pageRecordCount),'#')"></xsl:value-of></xsl:when>
+	 			<xsl:otherwise><xsl:value-of select="1"></xsl:value-of></xsl:otherwise>
+	 		</xsl:choose>
+	 	</xsl:variable>
+	 	<a href="{my:formsearchURL($q,$prev_startRecord,$prev_maximumRecords,$repository_name)}">
+			<span class="cmd cmd_prev">	
+			<xsl:choose>
+			<xsl:when test="$startRecord = '1'">
+				<xsl:attribute name="disabled">disabled</xsl:attribute>
+			</xsl:when>
+			</xsl:choose>
+			</span>
+		</a>
+		<a href="{my:formsearchURL($q,$next_startRecord,$next_maximumRecords,$repository_name)}">
+			<span class="cmd cmd_next">	
+			<xsl:choose>
+				<xsl:when test="$maximumRecords &gt; numberOfRecords or $maximumRecords = numberOfRecords">
+					<xsl:attribute name="disabled">disabled</xsl:attribute>
+				</xsl:when>
+				</xsl:choose>
+			</span>
+		</a>
+	</form>
 	<span class="cmd cmd_detail" />	
-	<!--  <div class='ui-context-dialog ui-widget-content columns-wrapper'>  -->
 		<div class='ui-widget-content columns-wrapper'>
 			<div class='cmds'><span class="cmd cmd_reload" /><span class="cmd cmd_save" /><span class="cmd cmd_savenew" /></div>
@@ -246,5 +288,5 @@
 		<xsl:apply-templates select="$terms" mode="matrix" />
 	</xsl:variable> 	
-	<!--   <xsl:message><xsl:value-of select="$resultSummary/*/name()" /> </xsl:message> -->
+	<!--  <xsl:message><xsl:value-of select="$resultSummary/*/name()" /> </xsl:message>-->
 	
 	<tr><td colspan="2">	
@@ -252,5 +294,5 @@
 		<span class="label">structure summary of shown result</span>	
 		<!--  calling template in terms2view.xsl -->
-		<xsl:apply-templates select="$resultSummary" mode="terms-tree" />		
+		<!--  <xsl:apply-templates select="$resultSummary" mode="terms-tree" />-->		
 	</div>	
 	</td></tr>
@@ -339,7 +381,7 @@
 <xsl:template name="record-table-row">
 <xsl:param name="fields" />
-<!-- @field absolute_position compute records position over whole recordset, ie add `startItem` (important when paging)
+<!-- @field absolute_position compute records position over whole recordset, ie add `startRecord` (important when paging)
  -->
-	<xsl:variable name="absolute_position" select="if (number($startItem)=number($startItem)) then number($startItem) + position() - 1 else  position()" />
+	<xsl:variable name="absolute_position" select="if (number($startRecord)=number($startRecord)) then number($startRecord) + position() - 1 else  position()" />
 	
 		<tr>
Index: MDService2/branches/MDService_simple3/src/xsl/mdset_pazpar2view.xsl
===================================================================
--- MDService2/branches/MDService_simple3/src/xsl/mdset_pazpar2view.xsl	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/xsl/mdset_pazpar2view.xsl	(revision 1554)
@@ -22,7 +22,4 @@
 
 <xsl:output method="html" />
-
-<xsl:param name="startItem">1</xsl:param>
-<xsl:param name="maximumItems">50</xsl:param>
 
 <!-- <xsl:param name="format" select="'table'" /> table|list|detail -->
@@ -160,9 +157,9 @@
 	<span class="label" >hits: </span><span class="value hilight"><xsl:value-of select="$numberOfRecords" /></span>;
 	<span class="label" >from:</span><span><input type="text" class="value start_record paging-input"><xsl:attribute name="value">
-    <xsl:value-of select="$startItem"/>
+    <xsl:value-of select="$startRecord"/>
   </xsl:attribute>
 	</input></span>
 	<span class="label" >max:</span><span><input type="text" class="value maximum_records paging-input" ><xsl:attribute name="value">
-    <xsl:value-of select="if(number($cnt_hits) &lt; number($maximumItems)) then $cnt_hits else $maximumItems"/>    
+    <xsl:value-of select="if(number($cnt_hits) &lt; number($maximumRecords)) then $cnt_hits else $maximumRecords"/>    
 	</xsl:attribute></input></span>
 		
@@ -171,5 +168,5 @@
 	<span class="cmd cmd_prev">	
 	<xsl:choose>
-		<xsl:when test="$startItem = '1'">
+		<xsl:when test="$startRecord = '1'">
 			<xsl:attribute name="disabled">disabled</xsl:attribute>
 		</xsl:when>
@@ -370,7 +367,7 @@
 <xsl:template name="record-table-row">
 <xsl:param name="fields" />
-<!-- @field absolute_position compute records position over whole recordset, ie add `startItem` (important when paging)
+<!-- @field absolute_position compute records position over whole recordset, ie add `startRecord` (important when paging)
  -->
-	<xsl:variable name="absolute_position" select="if (number($startItem)=number($startItem)) then number($startItem) + position() - 1 else  position()" />
+	<xsl:variable name="absolute_position" select="if (number($startRecord)=number($startRecord)) then number($startRecord) + position() - 1 else  position()" />
 	
 		<tr>
@@ -413,6 +410,6 @@
 				
 				<input type="submit" value="Submit" > </input><br/>
-				<label>startItem: </label><input type="text" name="startItem" ><xsl:attribute name="value"><xsl:value-of select="$startItem"/></xsl:attribute> </input><br/>
-				<label> maxItems: </label><input type="text" name="maximumItems" ><xsl:attribute name="value"><xsl:value-of select="$maximumItems"/></xsl:attribute> </input>
+				<label>startRecord: </label><input type="text" name="startRecord" ><xsl:attribute name="value"><xsl:value-of select="$startRecord"/></xsl:attribute> </input><br/>
+				<label> maxRecords: </label><input type="text" name="maximumRecords" ><xsl:attribute name="value"><xsl:value-of select="$maximumRecords"/></xsl:attribute> </input>
 	</form>
 	<table class="show">		
Index: MDService2/branches/MDService_simple3/src/xsl/params.xsl
===================================================================
--- MDService2/branches/MDService_simple3/src/xsl/params.xsl	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/xsl/params.xsl	(revision 1554)
@@ -20,4 +20,6 @@
 	
 	
+	<xsl:param name="workspaceprofile_uri" select="'http://localhost:8080/MDService2/workspaceprofile/xml/server'" />
+	
 	<!-- <xsl:param name="model_matrix_uri" select="'http://localhost:8080/MDService2/model/matrix?maxdepth=8&amp;q='" /> -->
 	<xsl:param name="model_matrix_uri" select="'http://localhost:8080/MDService2/model/matrix?q='" />
@@ -29,4 +31,7 @@
 	<xsl:param name="repository_name" select="''" />
 	<xsl:param name="q" select="''" />
+	<xsl:param name="startRecord">1</xsl:param>
+	<xsl:param name="maximumRecords">10</xsl:param>
+	<xsl:param name="pageRecordCount">10</xsl:param>
 	
 	<!--  for resolving components by suffixing with @ComponentId -->
@@ -59,5 +64,5 @@
 	
 	
-	<xsl:param name="cache_cols_" >id date duration repository collection lang query squery startItem maximumItems maxDepth</xsl:param>   
+	<xsl:param name="cache_cols_" >id date duration repository collection lang query squery startRecord maximumRecords maxDepth</xsl:param>   
 	<xsl:param name="cache_cols" select="tokenize($cache_cols_,'\s+')"  />
 	
Index: MDService2/branches/MDService_simple3/src/xsl/sru2view.xsl
===================================================================
--- MDService2/branches/MDService_simple3/src/xsl/sru2view.xsl	(revision 1541)
+++ MDService2/branches/MDService_simple3/src/xsl/sru2view.xsl	(revision 1554)
@@ -25,8 +25,4 @@
 
 <xsl:include href="cmd_commons.xsl"/>
-
-
-<xsl:param name="startItem">1</xsl:param>
-<xsl:param name="maximumItems">50</xsl:param>
 
 <!-- <xsl:param name="format" select="'table'" /> table|list|detail -->
@@ -142,9 +138,9 @@
 	<span class="label" >hits: </span><span class="value hilight"><xsl:value-of select="numberOfRecords" /></span>;
 	<span class="label" >from:</span><span><input type="text" class="value start_record paging-input"><xsl:attribute name="value">
-    <xsl:value-of select="$startItem"/>
+    <xsl:value-of select="$startRecord"/>
   </xsl:attribute>
 	</input></span>
 	<span class="label" >max:</span><span><input type="text" class="value maximum_records paging-input" ><xsl:attribute name="value">
-    <xsl:value-of select="if(number($cnt_hits) &lt; number($maximumItems)) then $cnt_hits else $maximumItems"/>    
+    <xsl:value-of select="if(number($cnt_hits) &lt; number($maximumRecords)) then $cnt_hits else $maximumRecords"/>    
   </xsl:attribute></input></span>
   <span class="cmd cmd_reload" />  
@@ -152,5 +148,5 @@
 	<span class="cmd cmd_prev">	
 	<xsl:choose>
-		<xsl:when test="$startItem = '1'">
+		<xsl:when test="$startRecord = '1'">
 			<xsl:attribute name="disabled">disabled</xsl:attribute>
 		</xsl:when>
@@ -159,5 +155,5 @@
 	<span class="cmd cmd_next">	
 	<xsl:choose>
-		<xsl:when test="$maximumItems &gt; numberOfRecords or $maximumItems = numberOfRecords">
+		<xsl:when test="$maximumRecords &gt; numberOfRecords or $maximumRecords = numberOfRecords">
 			<xsl:attribute name="disabled">disabled</xsl:attribute>
 		</xsl:when>
@@ -347,7 +343,7 @@
 <xsl:template name="record-table-row">
 <xsl:param name="fields" />
-<!-- @field absolute_position compute records position over whole recordset, ie add `startItem` (important when paging)
+<!-- @field absolute_position compute records position over whole recordset, ie add `startRecord` (important when paging)
  -->
-	<xsl:variable name="absolute_position" select="if (number($startItem)=number($startItem)) then number($startItem) + position() - 1 else  position()" />
+	<xsl:variable name="absolute_position" select="if (number($startRecord)=number($startRecord)) then number($startRecord) + position() - 1 else  position()" />
 	
 		<tr>
@@ -390,6 +386,6 @@
 				
 				<input type="submit" value="Submit" > </input><br/>
-				<label>startItem: </label><input type="text" name="startItem" ><xsl:attribute name="value"><xsl:value-of select="$startItem"/></xsl:attribute> </input><br/>
-				<label> maxItems: </label><input type="text" name="maximumItems" ><xsl:attribute name="value"><xsl:value-of select="$maximumItems"/></xsl:attribute> </input>
+				<label>startRecord: </label><input type="text" name="startRecord" ><xsl:attribute name="value"><xsl:value-of select="$startRecord"/></xsl:attribute> </input><br/>
+				<label> maxItems: </label><input type="text" name="maximumRecords" ><xsl:attribute name="value"><xsl:value-of select="$maximumRecords"/></xsl:attribute> </input>
 	</form>
 	<table class="show">		