Index: /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java
===================================================================
--- /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java	(revision 1628)
+++ /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java	(revision 1629)
@@ -335,5 +335,75 @@
 		params = new HashMap(getServletRequest().getParameterMap());	
 
-		setDefaultParams();		
+		//setDefaultParams();
+
+		// set defaults
+		if ( params.get("version") == null){
+			addParam("version","1.2");
+		}
+		if ( params.get("operation") == null){
+			addParam("operation","searchRetrieve");
+		}
+		//q=query			
+		if (getQ() != null) {
+			addParam("q",getQ());
+			addParam("query",getQ());
+		} else {
+			addParam("q",this.getParam("query"));
+		}
+		
+		if ( params.get("startRecord") == null){
+			addParam("startRecord","1");
+		}
+		if ( params.get("maximumRecords") == null){
+			addParam("maximumRecords","50");
+		}
+		
+		if ( params.get("x-cmd-maxdepth") == null){
+			if (params.get("maxdepth") == null){
+				addParam("maxdepth","2");
+			} 
+		} else {
+			addParam("maxdepth",params.get("x-cmd-maxdepth")[0]);
+		}
+		
+		if ( params.get("x-cmd-repository") == null){
+			if (params.get("repository") == null){
+				addParam("repository",WorkspaceProfile.getRepositoryByIndex(0));
+			} 
+		} else {
+			addParam("repository",params.get("x-cmd-repository")[0]);
+		}
+		
+		if ( params.get("x-cmd-cache") == null){
+			if (params.get("cache") == null){
+				addParam("cache",Cache.SKIP);
+			} 
+		} else {
+			addParam("cache",params.get("x-cmd-cache")[0]);
+		}
+		
+		if ( params.get("x-cmd-lang") == null){
+			if (params.get("lang") == null){
+				addParam("lang","en");
+			} 
+		} else {
+			addParam("lang",params.get("x-cmd-lang")[0]);
+		}
+		
+		if ( params.get("x-cmd-format") == null){
+			if (params.get("format") == null){
+				if (this.format == null) {
+					addParam("format","xml");
+				} else if (this.format.equals("")){
+					addParam("format","xml");
+				} else {
+					addParam("format",this.format);
+				}
+			} 
+		} else {
+			addParam("format",params.get("x-cmd-format")[0]);
+		}
+
+		addParam("fullformat",getFullFormat());
 	}
         
Index: /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/RepoAction.java
===================================================================
--- /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/RepoAction.java	(revision 1628)
+++ /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/RepoAction.java	(revision 1629)
@@ -133,4 +133,5 @@
 				return;
 			}
+
 			//Query query = new Query();
 			switch (WorkspaceProfile.RepositoryType.toRepositoryType(WorkspaceProfile.getRepositoryType(getRepository())))
Index: /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/BasicProxy.java
===================================================================
--- /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/BasicProxy.java	(revision 1628)
+++ /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/BasicProxy.java	(revision 1629)
@@ -67,8 +67,8 @@
 	public void checkParams() {
 		// required Params
-
-		if (getParam("q").equals("")) {
-			getSourceAction().getDiagnostics().Add(Diagnostic.MANDATORY_NOTSUPPLIED, "q");
-		}
+/*
+		//if (getParam("q").equals("")) {
+		//	getSourceAction().getDiagnostics().Add(Diagnostic.MANDATORY_NOTSUPPLIED, "q");
+		//}
 		if (getParams().get("format") == null){
 			if (getSourceAction().getFormat() == null) {
@@ -80,10 +80,7 @@
 			}
 		} 
-		// moved into action - needed for creation  proxy 
-		/*if (getParams().get("repository") == null){
-			addParam("repository",WorkspaceProfile.getRepositoryByIndex(0));
-		} 
+		
+		addParam("fullformat",getSourceAction().getFullFormat());
 		*/
-		addParam("fullformat",getSourceAction().getFullFormat());
 	}
 	
Index: /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/MDRepoProxy.java
===================================================================
--- /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/MDRepoProxy.java	(revision 1628)
+++ /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/MDRepoProxy.java	(revision 1629)
@@ -79,6 +79,6 @@
 	 public void checkParams() {
 		// set defaults
-			super.checkParams();
-			
+		//	super.checkParams();
+			/*
 		if ( getParams().get("startRecord") == null){
 				addParam("startRecord","1");
@@ -122,5 +122,5 @@
 		if ( getParams().get("x-cmd-format") == null){
 			// TODO moved into BasicAction 
-			/*
+			
 				if (getParams().get("format") == null){
 					if (getSourceAction().getFormat() == null) {
@@ -132,5 +132,5 @@
 					}
 				}
-				*/ 
+				
 		} else {
 				addParam("format",getParams().get("x-cmd-format")[0]);
@@ -140,5 +140,5 @@
 		addParam("fullformat",getSourceAction().getFullFormat());
 		//super.checkParams();
-		
+		*/
 		// TODO ?????
 		 if (getSourceAction().getActionkey().equals("sru")){
Index: /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/RepoProxy.java
===================================================================
--- /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/RepoProxy.java	(revision 1628)
+++ /MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/RepoProxy.java	(revision 1629)
@@ -84,5 +84,5 @@
 	public void checkParams() {
 		// required Params
-		super.checkParams();
+		//super.checkParams();
 		// check and set defaults
 		if (WorkspaceProfile.getRepositoryPath(getParam("repository")) == null) {