Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/GenericAction.java	(revision 1654)
@@ -606,5 +606,5 @@
 				MDTransformer transformer = new MDTransformer();
 				// this is necessary for the transformer (in MDUTILS-library) to search for the resources (config and xsls) in the correct context)
-				transformer.configure(Utils.getConfig(), this.getClass().getClassLoader());
+				transformer.configure(Utils.getAppConfig("mdservice"), this.getClass().getClassLoader());
 				// set URL as srcFile (for MDTransformer to pass to xsl-scripts)
 				// TODO: WHY??
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/VirtualCollectionProxyAction.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/VirtualCollectionProxyAction.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/VirtualCollectionProxyAction.java	(revision 1654)
@@ -98,5 +98,5 @@
 		// find out 
 		//"http://clarin.ids-mannheim.de/vcr/service/virtualcollection";
-		String urlstring = Utils.getConfig().getProperty("virtualcollection.uri");
+		String urlstring = Utils.getConfig("virtualcollection.uri");
 		String vcrstr = (String)getVcrid();//getQueryVcrid();
 		if (!vcrstr.equals("0")){
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/WorkspaceAction.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/WorkspaceAction.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/action/WorkspaceAction.java	(revision 1654)
@@ -160,8 +160,8 @@
 	public WorkspaceAction () {	
 		this.elementtype = WorkspaceAction.SE_WORKSPACE;
-		//workspacefilename = Utils.getConfig().getProperty("workspaceprofile.path") + Utils.getConfig().getProperty("workspace.file");
+		//workspacefilename = Utils.getConfig).getProperty("workspaceprofile.path") + Utils.getConfig().getProperty("workspace.file");
 		workspacefilename = Utils.getConfig("workspaceprofile.path") + Utils.getConfig("workspace.file");
 		if (workspace_doc == null){
-			//workspacefilename = Utils.getConfig().getProperty("workspace.path") + Utils.getConfig().getProperty("workspace.file");
+			//workspacefilename = Utils.getConfig).getProperty("workspace.path") + Utils.getConfig).getProperty("workspace.file");
 			initDocument();
 		}
@@ -225,5 +225,5 @@
 	public String getBasePath() {		
 		if (base_path == null) {
-			//base_path = Utils.getConfig().getProperty(getProxyKey() + ".path");
+			//base_path = Utils.getConfig).getProperty(getProxyKey() + ".path");
 			base_path = Utils.getConfig(getProxyKey() + ".path");
 		}
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/internal/Cache.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/internal/Cache.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/internal/Cache.java	(revision 1654)
@@ -76,6 +76,6 @@
 	
 	public Cache () {		
-		cachepath = Utils.getConfig().getProperty("cache.path");
-		cacheindex_path = cachepath + Utils.getConfig().getProperty("cacheindex.file");
+		cachepath = Utils.getConfig("cache.path");
+		cacheindex_path = cachepath + Utils.getConfig("cacheindex.file");
 		cachecounter = initCachecounter();
 		
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/model/Termset.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/model/Termset.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/model/Termset.java	(revision 1654)
@@ -68,5 +68,5 @@
 
 	public static void initTermsets() {
-			Document dcrs_setup = Utils.load2Document(Utils.getConfig().getProperty("terms.file"));
+			Document dcrs_setup = Utils.load2Document(Utils.getConfig("terms.file"));
 		
 		//	Utils.load2(Utils.getConfig().getProperty("service.list.file"));		 
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/model/WorkspaceProfile.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/model/WorkspaceProfile.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/model/WorkspaceProfile.java	(revision 1654)
@@ -256,5 +256,5 @@
 	
 	public static JSONObject createOptions() throws IOException, InterruptedException, TransformerException, NoStylesheetException{
-		String path = Utils.getConfig().getProperty("workspaceprofile.path") + WorkspaceAction.WORKSPACE_FILENAME;//PROFILENAME_SERVER;
+		String path = Utils.getConfig("workspaceprofile.path") + WorkspaceAction.WORKSPACE_FILENAME;//PROFILENAME_SERVER;
 		File file=new File(path);
 		InputStream in  = new BufferedInputStream( new FileInputStream(path));;
@@ -308,5 +308,5 @@
 	
 	public static JSONArray createTermsets() throws IOException, InterruptedException, TransformerException, NoStylesheetException{
-		String path = Utils.getConfig().getProperty("workspaceprofile.path") + WorkspaceAction.WORKSPACE_FILENAME;//PROFILENAME_SERVER;
+		String path = Utils.getConfig("workspaceprofile.path") + WorkspaceAction.WORKSPACE_FILENAME;//PROFILENAME_SERVER;
 		File file=new File(path);
 		InputStream in  = new BufferedInputStream( new FileInputStream(path));;
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/BasicProxy.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/BasicProxy.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/BasicProxy.java	(revision 1654)
@@ -100,5 +100,6 @@
 		
 	public String getBaseURI() {		
-		String uri =Utils.getConfig().getProperty(getSourceAction().getActionkey() + ".uri");	
+		//String uri = Utils.getConfig).getProperty(getSourceAction().getActionkey() + ".uri");	
+		String uri = Utils.getConfig(getSourceAction().getActionkey() + ".uri");
 		//String uri = Termset.getTermsetAttr(getSourceAction().getActionkey(), "url");
 		return uri;
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/SMCProxy.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/SMCProxy.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/SMCProxy.java	(revision 1654)
@@ -72,5 +72,5 @@
 	 */		
 	public String getBaseURI() {		
-		//String uri =Utils.getConfig().getProperty(getSourceAction().getActionkey() + ".uri");	
+		//String uri =Utils.getConfig).getProperty(getSourceAction().getActionkey() + ".uri");	
 		//String uri = Termset.getTermsetAttr(getSourceAction().getActionkey(), "url");
 		return "http://localhost:8080/MDService2/smc/";
Index: MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/SRUProxy.java
===================================================================
--- MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/SRUProxy.java	(revision 1651)
+++ MDService2/branches/MDService_simple3/src/eu/clarin/cmdi/mdservice/proxy/SRUProxy.java	(revision 1654)
@@ -52,5 +52,5 @@
 	public String getBaseURI() {		
 		log.debug("SRU-repositorypath:" + WorkspaceProfile.getRepositoryPath(getSourceAction().getRepository()));
-		String uri = WorkspaceProfile.getRepositoryPath(getSourceAction().getRepository());//Utils.getConfig().getProperty(getProxyKey() + ".uri");		
+		String uri = WorkspaceProfile.getRepositoryPath(getSourceAction().getRepository());//Utils.getConfig).getProperty(getProxyKey() + ".uri");		
 		return uri;
 	}